<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/5/13 15:52
 */


namespace App\Http\Requests;


use App\Validators\Rules;

class ApplyAddParkingRequest extends FormRequest
{
    public function rules(){
        return [
            'area_id' => Rules::area_id,
            'location_name' => 'required',
            'longitude' => Rules::lng,
            'latitude' => Rules::lat,
        ];
    }
}
