<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/4/16 10:54
 */


namespace App\Http\Requests;


use App\Models\InviteNewUsersGiveGiftLog;
use App\Validators\Rules;
use Illuminate\Validation\Rule;

class InviteNewUsersRewardRequest extends FormRequest
{

    public function rules()
    {
        return [
            'invite_new_users_configs_id' => Rules::id,
            'num' => 'required',
            'gift_type' => [
                'required',
                Rule::in([
                    InviteNewUsersGiveGiftLog::GIFT_TYPE_BALANCE,
                    InviteNewUsersGiveGiftLog::GIFT_TYPE_CARD,
                    InviteNewUsersGiveGiftLog::GIFT_TYPE_COUPON,
                ]),
            ],
            'gift_id' => 'required',
            'gift_num' => 'required',
        ];
    }
}
