<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class RechangeMoneyRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'money' => 'required_without:recharge_configuration_id|integer|min:1|max:1000',
            'area_id' => Rules::area_id,
            'recharge_configuration_id' => 'required_without:money|integer'
        ];
    }
}
