<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class UserStudentAuthRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|string',
            'no' => 'required|integer',
            'school' => 'required|string',
            'type' => 'required|integer',
            'year' => 'sometimes|string',
            'imgs' => 'required|string',
        ];
    }
}
