<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class Student extends Model
{
    const STATUS_OK = 1;
    const STATUS_PAUSE = 0;

    public static $statusMaps = [
        self::STATUS_OK => '正常',
        self::STATUS_PAUSE => '暂停'
    ];

    const AUTH_STATUS_WAIT = 0;
    const AUTH_STATUS_OK = 1;
    const AUTH_STATUS_NO = 2;
    public static $authStatusMaps = [
        self::AUTH_STATUS_WAIT => '待认证',
        self::AUTH_STATUS_OK => '认证成功',
        self::AUTH_STATUS_NO => '认证失败',
    ];

    protected $guarded = [];


}
