<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/4/11 14:30
 */


namespace App\Repositories;


use App\Models\OrderBikeOperate;

class OrderBikeOperateRepository extends BaseRepository
{
    public function __construct(OrderBikeOperate $orderBikeOperate)
    {
        $this->model = $orderBikeOperate;
    }

    public function checkLowPowerOffLock($order_id)
    {
        return $this->model->query()
            ->where('order_id', $order_id)
            ->where('is_admin', OrderBikeOperate::IS_ADMIN_SYSTEM)
            ->where('type', OrderBikeOperate::TYPE_CLONE_BIKE)
            ->first();
    }

}
