<?php


namespace App\Transformers;


use App\Models\CardRidingOrder;
use League\Fractal\TransformerAbstract;

class CardRidingOrdersTransformer extends TransformerAbstract
{
    public function transform(CardRidingOrder $cardRidingOrder){
        return [
            'no' => $cardRidingOrder->no,
            'money' => $cardRidingOrder->money,
            'discount' => bcmul($cardRidingOrder->discount,10),
            'pay_money' => $cardRidingOrder->pay_money,
            'pay_type' => CardRidingOrder::$payTypeMaps[$cardRidingOrder->pay_type],
            'pay_status' => CardRidingOrder::$payStatusMaps[$cardRidingOrder->pay_status],
            'pay_time' => $cardRidingOrder->pay_time,
            'created_at' => $cardRidingOrder->created_at
        ];
    }
}
