<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 2:44 PM
 */

namespace App\Transformers;

use App\Models\RentOrder;
use League\Fractal\TransformerAbstract;

class RentUseOrderTransformer extends TransformerAbstract
{

    public function transform(RentOrder $model)
    {
        return [
            'no' => $model->no,
            'bike_no' => $model->bike_no,
            'start_use_bike_time' => $model->start_use_bike_time->timestamp,
            'return_end_bike_time' => $model->return_end_bike_time,
            'time_money' => $model->time_money,
            'distance_money' => $model->distance_money,
            'dispatch_money' => $model->dispatch_money,
            'preferential_money' => $model->preferential_money,
            'total_money' => $model->total_money,
            'pay_status' => $model->pay_status,
            'status' => $model->status,
            'created_at' => $model->created_at->format('Y-m-d H:i:s')
        ];
    }

}