# 未来bike-用户端（小程序）API

## 项目简介

>  用户端API主要为未来bike小程序提供API服务接口
>
> 开发语言： php
>
> 技术方案：主要采用 lumen 5.8.* 基础框架做的二次开发。
>
> 依赖环境：
> PHP >= 7.0
>
> OpenSSL PHP 扩展
>
> PDO PHP 扩展
>
> Mbstring PHP 扩展
>
> Mongodb php扩展

## 项目详情

### 项目目录文件简介
> 目录详情见https://learnku.com/docs/laravel/5.8/structure/3881

### 项目配置文件
* config/*.php 其中的配置项：短信、数据库、redis、队列、微信、接口、权限等
* 配置 中控控制端 地址参数：（app/Handlers/BikeControl.php）中的：$registerAddress
* 配置微信退款证书

### 服务器启动准备工作

- 安装composer，并在跟目录下安装项目依赖包，命令如下

  ```bash
  $ composer install
  ```
- 配置任务调度
    ~~~bash
    * * * * * cd /path-to-your-project && php artisan schedule:run >> /dev/null 2>&1
    ~~~
- 启动队列服务
    ~~~bash
  php artisan queue:work
  ~~~

