<?php

namespace App\Http\Controllers\V1;

use App\Events\CardCertifiedEvent;
use App\Events\ExampleEvent;
use App\Handlers\BikeControl;
use App\Handlers\BikeHandler;
use App\Handlers\CheckAreaHandler;
use App\Handlers\ConvertHandler;
use App\Jobs\SendSMSBikeTemporaryWaitOverThirtyJob;
use App\Maps\CacheMap;
use App\Models\Bike;
use App\Models\InviteNewUser;
use App\Models\Parking;
use App\Models\Parkings;
use App\Models\User;
use App\Models\WalletLog;
use App\Repositories\AreaRepository;
use App\Repositories\BikeRepository;
use App\Repositories\LocationLogRepository;
use App\Repositories\RefundLogRepository;
use App\Repositories\UserRepository;
use App\Transformers\UserTransformer;
use Carbon\Carbon;
use Dingo\Api\Http\Request;
use GatewayClient\Gateway;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Event;
use Illuminate\Support\Facades\Log;
use Tymon\JWTAuth\Facades\JWTAuth;
use Illuminate\Support\Facades\Redis;
use Illuminate\Support\Facades\Cache;

/**
 * 测试模块
 * Class ExampleController
 * @package App\Http\Controllers\V1
 */
class ExampleController extends BaseController
{
    protected $userRepository;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(UserRepository $userRepository)
    {
        $this->userRepository = $userRepository;
    }

    public function test(Request $request, BikeRepository $bikeRepository, LocationLogRepository $locationLogRepository, AreaRepository $areaRepository, RefundLogRepository $refundLogRepository)
    {
//        Cache::flush();
        dda('Mead123');
    }
}
