<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/19
 * Time: 2:11 PM
 */

namespace App\Http\Controllers\V1;

use App\Http\Requests\H5Request;
use Illuminate\Support\Facades\DB;

/**
 * H5活动模块
 * Class TroubleController
 * @package App\Http\Controllers\V1
 */
class H5Controller extends BaseController
{
    public function business(H5Request $request)
    {
        $data = $request->only([
            'name', 'mobile', 'question', 'remark'
        ]);

        $data['question'] = arr2str($data['question']);
        $re = DB::table('h5')->insert($data);
        if ($re) {
            return $this->success();
        }
        return $this->error('提交失败');
    }
}
