<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class NearBySiteRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'lat' => Rules::lat,
            'lng' => Rules::lng,
            'area_id' => Rules::area_id,
            'location_lat' => Rules::lat,
            'location_lng' => Rules::lng,
        ];
    }
}