<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class UpTroubleRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'bike_no' => Rules::bike_no,
            'area_id' => Rules::area_id,
            'trouble_part' => 'required|string|max:300',
            'trouble_description' => 'required|string|max:300',
            'trouble_imgs' => 'sometimes|string',
        ];
    }
}