<?php

namespace App\Jobs;

class SendSMSCodeJob extends Job
{
    protected $mobile = '';
    protected $code = '';
    public $tries = 5;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($mobile, $code)
    {
        $this->mobile = $mobile;
        $this->code = $code;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        app('easy_sms')->send($this->mobile, [
            'template' => '439743',
            'data' => [
                'code' => $this->code
            ]
        ]);
    }
}
