<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AreaSetting extends Model
{
    protected $guarded = [];

    const CLOSE_BIKE_TIME = 60;

    const STATUS_OK = 1;
    const STATUS_PAUSE = 0;
    public static $statusMaps = [
        self::STATUS_OK => '正常',
        self::STATUS_PAUSE => '暂停'
    ];

    const WHOLE_AREA_HUANCHE_OK = 1;
    const WHOLE_AREA_HUANCHE_NO = 0;
    public static $typeWholeAreaHuanche = [
        self::WHOLE_AREA_HUANCHE_NO => '不启用在整个区域还车点',
        self::WHOLE_AREA_HUANCHE_OK => '启用在整个区域还车点',
    ];

    const TRUE_PARKING = 1;
    const FALSE_PARKING = 0;
    public static $typeParking = [
        self::TRUE_PARKING => '需要在停车区停',
        self::FALSE_PARKING => '不需要在停车区停'
    ];

    const TRUE_ADVANCE_RECHARGE = 1;
    const FALSE_ADVANCE_RECHARGE = 0;
    public static $typeAdvanceRecharge = [
        self::TRUE_ADVANCE_RECHARGE => '需要先充值',
        self::FALSE_ADVANCE_RECHARGE => '不需要先充值'
    ];

    const PARKING_FUSHE_YES = 1;
    const PARKING_FUSHE_NO = 0;
    public static $parkingFusheMaps = [
        self::PARKING_FUSHE_NO => '不启用停车点辐射',
        self::PARKING_FUSHE_YES => '启用停车点辐射',
    ];

    const FREE_MINUTE_NO = 0;
    const FREE_MINUTE_OK = 1;
    public static $freeMinuteMaps = [
        self::FREE_MINUTE_NO => '开启分钟内免费骑行',
        self::FREE_MINUTE_OK => '不开启分钟内免费骑行',
    ];

}
