<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Trouble extends Model
{
    protected $guarded = [];

    protected $casts = [
        'trouble_imgs' => 'array'
    ];

    const STATUS_OK = 1;
    const STATUS_PAUSE = 0;
    public static $statusMaps = [
        self::STATUS_OK => '正常',
        self::STATUS_PAUSE => '暂停'
    ];

    const UP_TYPE_COMMON = 0;
    public static $UpTypeMaps = [
        self::UP_TYPE_COMMON => '普通',
    ];

    public function images()
    {
        return $this->hasMany(Upload::class);
    }

}
