<?php

namespace App\Providers;

use App\Listeners\NewUserSendRideCardListener;
use Laravel\Lumen\Providers\EventServiceProvider as ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        'App\Events\ExampleEvent' => [
            'App\Listeners\ExampleListener',
        ],
        'App\Events\CardCertifiedEvent' => [
            'App\Listeners\CardCertifiedListener',
            'App\Listeners\NewUserSendRideCardListener',
        ],
    ];
}
