<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 2:44 PM
 */

namespace App\Transformers;

use App\Models\LocationLog;
use App\Models\LocationLogMongodb;
use League\Fractal\TransformerAbstract;

class LocationLogsTransformer extends TransformerAbstract
{

    public function transform(LocationLogMongodb $model)
    {
        return [
            'latitude' => $model->latitude,
            'longitude' => $model->longitude,
            'battery_power' => $model->battery_power,
            'speed' => $model->speed,
        ];
    }

}